std::experimental::basic_string_view::max_size(3)

NAME
std::experimental::basic_string_view::max_size - std::experimental::basic_string_view::max_size

Synopsis
   constexpr size_type max_size() const noexcept; (library fundamentals TS)
   The largest possible number of char-like objects that can be referred to by a
   basic_string_view.

Parameters
   (none)

Return value
   Maximum number of characters.

Complexity
   Constant.

See also
   size returns the number of characters
   length (public member function)
   empty checks whether the view is empty
          (public member function)